package com.ruoyi.frequency.appmessage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.frequency.appmessage.entity.AppMessage;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * app端消息Mapper接口
 * 
 * @author liwenlong
 * @date 2023-07-20
 */
public interface AppMessageMapper  extends BaseMapper<AppMessage>
{
    /**
     * 查询app端消息
     * 
     * @param id app端消息主键
     * @return app端消息
     */
    AppMessage selectAppMessageById(Long id);

    /**
     * 查询app端消息列表
     * 
     * @param appMessage app端消息
     * @return app端消息集合
     */
    List<AppMessage> selectAppMessageList(AppMessage appMessage);

    /**
     * 新增app端消息
     * 
     * @param appMessage app端消息
     * @return 结果
     */
    int insertAppMessage(AppMessage appMessage);

    /**
     * 修改app端消息
     * 
     * @param appMessage app端消息
     * @return 结果
     */
    int updateAppMessage(AppMessage appMessage);

    /**
     * 删除app端消息
     * 
     * @param id app端消息主键
     * @return 结果
     */
    int deleteAppMessageById(Long id);

    /**
     * 批量删除app端消息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAppMessageByIds(Long[] ids);

    Page<AppMessage> messagePage(@Param("page") Page<Object> objectPage, @Param("list") List<Long> ids, @Param("userVo") UserVo userVo);
    Integer messageCenter(@Param("userVo") UserVo userVo);

    List<AppMessage> messagePage(@Param("list") List<Long> ids,@Param("userVo") UserVo userVo);

    AppMessage systemMessageNew(@Param("userVo") UserVo userVo);

    AppMessage messageDetail(@Param("id") Long id, @Param("userVo") UserVo userVo);
}
